Loading...
Searching...
No Matches
disk_dump_priv Struct Reference

## Data Fields

unsigned | num_files
| Number of split files in this dump.
struct attr_override | mem_pagemap_override
| Overridden methods for memory.bitmap attribute.
off_t | mem_pagemap_off
| File offset of memory bitmap.
size_t | mem_pagemap_size
| Size of the memory bitmap.
struct pfn_file_map | mem_pagemap
| Memory region mapping.
addrxlat_map_t ** | flatmap
| File offset mapping for flattened files.
off_t ** | flatoffs
| Differences between flattened and rearranged file offsets.
struct pfn_file_map | pdmap []
| Page descriptor mapping.

The documentation for this struct was generated from the following file:

- src/kdumpfile/diskdump.c